Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1)
@@ -0,0 +1,446 @@
+ SUBROUTINE write_var_list
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Log: write_var_list.f90,v $
+! Revision 1.34  2006/08/22 14:30:52  raasch
+! +dz_max
+!
+! Revision 1.33  2006/08/04 15:05:52  raasch
+! +first_call_advec_particles, time_dopts, use_upstream_for_tke
+!
+! Revision 1.32  2006/02/23 13:16:02  raasch
+! +building parameters, conserve_volume_flow, dissipation_1d, e_min,
+! mixing_length_1d, topography,
+! -average_count_pl, time_average_pr, time_average_pl renamed time_dopr_av,
+! nt_anz renamed current_timestep_number, ..pl.. renamed ..do..
+!
+! Revision 1.31  2005/06/28 14:18:02  steinfeld
+! +ug_surface, ug_vertical_gradient, ug_vertical_gradient_level,
+! ug_vertical_gradient_level_ind, vg_surface, vg_vertical_gradient,
+! vg_vertical_gradient_level, vg_vertical_gradient_level_ind
+!
+! Revision 1.30  2005/06/26 20:10:54  raasch
+! +cloud_droplets
+!
+! Revision 1.29  2005/05/18 15:56:20  raasch
+! +netcdf_precision
+!
+! Revision 1.28  2005/03/26 21:18:39  raasch
+! +bc_lr, bc_ns, inflow_disturbance_begin, inflow_disturbance_end, km_damp_max,
+! outflow_damping_width
+!
+! Revision 1.27  2004/04/30 13:14:31  raasch
+! +grid_matching, impulse_advec renamed momentum_advec
+!
+! Revision 1.26  2004/01/28 15:38:55  raasch
+! at and bt replaced by array tsc
+!
+! Revision 1.25  2003/10/29 09:15:12  raasch
+! +last_dt_change
+!
+! Revision 1.24  2003/03/14 13:47:55  raasch
+! +random_generator
+!
+! Revision 1.23  2002/12/19 16:24:09  raasch
+! Writing of array hom moved from write_3d_binary to this routine,
+! binary version incremented to 2.2, +time_restart
+!
+! Revision 1.22  2002/04/16 08:22:02  raasch
+! +bc_s_b, bc_s_t, surface_scalarflux, s_surface, s_surface_initial_change,
+! s_vertical_gradient, s_vertical_gradient_level
+!
+! Revision 1.21  2001/08/21 10:05:05  raasch
+! +wall_adjustment
+!
+! Revision 1.20  2001/03/30 08:00:07  raasch
+! Translation of remaining German identifiers (variables, subroutines, etc.),
+! runtime and package parameters are not written on unit 14 any more
+!
+! Revision 1.19  2001/01/29 12:38:42  raasch
+! Error writing use_surface_fluxes-string corrected, +passive_scalar
+!
+! Revision 1.18  2001/01/25 07:27:48  raasch
+! +fft_method, use_surface_fluxes
+!
+! Revision 1.17  2001/01/05 15:16:59  raasch
+! +average_count_sp, time_dosp
+!
+! Revision 1.16  2000/12/28 13:39:21  raasch
+! Module dvrp_variables removed, -particle_transport
+!
+! Revision 1.15  2000/04/27 06:58:19  raasch
+! +dt_dvrp, dvrp_filecount, npex, npey, threshold, time_dvrp
+! -dt_plisos, dt_plpart, time_plisos, time_plpart
+! +module pegrid,
+! all comments translated into English, old revision remarks deleted
+!
+! Revision 1.14  2000/04/13 14:10:58  schroeter
+! Upgrade for calculations with cloud physics
+!
+! Revision 1.13  2000/01/10  10:11:06  10:11:06  raasch (Siegfried Raasch)
+! +use_ug_for_galilei_tr
+!
+! Revision 1.1  1998/03/18 20:20:38  raasch
+! Initial revision
+!
+!
+! Description:
+! ------------
+! Writing values of control variables to restart-file (binary format)
+!------------------------------------------------------------------------------!
+
+    USE arrays_3d
+    USE averaging
+    USE grid_variables
+    USE indices
+    USE model_1d
+    USE pegrid
+    USE profil_parameter
+    USE statistics
+    USE control_parameters
+
+    IMPLICIT NONE
+
+    CHARACTER (LEN=10) ::  binary_version
+
+
+
+    binary_version = '3.0'
+
+    WRITE ( 14 )  binary_version    ! opened in write_3d_binary
+
+    WRITE ( 14 )  'nz                            '
+    WRITE ( 14 )  nz
+    WRITE ( 14 )  'statistic_regions             '
+    WRITE ( 14 )  statistic_regions
+
+!
+!-- Caution: After changes in the following parameter-list, the
+!-- -------  version number stored in the variable binary_version has to be
+!--          increased. The same changes must also be done in the parameter-
+!--          list in read_var_list.
+
+    WRITE ( 14 )  'adjust_mixing_length          '
+    WRITE ( 14 )  adjust_mixing_length
+    WRITE ( 14 )  'advected_distance_x           '
+    WRITE ( 14 )  advected_distance_x
+    WRITE ( 14 )  'advected_distance_y           '
+    WRITE ( 14 )  advected_distance_y
+    WRITE ( 14 )  'alpha_surface                 '
+    WRITE ( 14 )  alpha_surface
+    WRITE ( 14 )  'average_count_pr              '
+    WRITE ( 14 )  average_count_pr
+    WRITE ( 14 )  'average_count_sp              '
+    WRITE ( 14 )  average_count_sp
+    WRITE ( 14 )  'average_count_3d              '
+    WRITE ( 14 )  average_count_3d
+    WRITE ( 14 )  'bc_e_b                        '
+    WRITE ( 14 )  bc_e_b
+    WRITE ( 14 )  'bc_lr                         '
+    WRITE ( 14 )  bc_lr
+    WRITE ( 14 )  'bc_ns                         '
+    WRITE ( 14 )  bc_ns
+    WRITE ( 14 )  'bc_p_b                        '
+    WRITE ( 14 )  bc_p_b
+    WRITE ( 14 )  'bc_p_t                        '
+    WRITE ( 14 )  bc_p_t
+    WRITE ( 14 )  'bc_pt_b                       '
+    WRITE ( 14 )  bc_pt_b
+    WRITE ( 14 )  'bc_pt_t                       '
+    WRITE ( 14 )  bc_pt_t
+    WRITE ( 14 )  'bc_pt_t_val                   '
+    WRITE ( 14 )  bc_pt_t_val
+    WRITE ( 14 )  'bc_q_b                        '
+    WRITE ( 14 )  bc_q_b
+    WRITE ( 14 )  'bc_q_t                        '
+    WRITE ( 14 )  bc_q_t
+    WRITE ( 14 )  'bc_q_t_val                    '
+    WRITE ( 14 )  bc_q_t_val
+    WRITE ( 14 )  'bc_s_b                        '
+    WRITE ( 14 )  bc_s_b
+    WRITE ( 14 )  'bc_s_t                        '
+    WRITE ( 14 )  bc_s_t
+    WRITE ( 14 )  'bc_uv_b                       '
+    WRITE ( 14 )  bc_uv_b
+    WRITE ( 14 )  'bc_uv_t                       '
+    WRITE ( 14 )  bc_uv_t
+    WRITE ( 14 )  'building_height               '
+    WRITE ( 14 )  building_height
+    WRITE ( 14 )  'building_length_x             '
+    WRITE ( 14 )  building_length_x
+    WRITE ( 14 )  'building_length_y             '
+    WRITE ( 14 )  building_length_y
+    WRITE ( 14 )  'building_wall_left            '
+    WRITE ( 14 )  building_wall_left
+    WRITE ( 14 )  'building_wall_south           '
+    WRITE ( 14 )  building_wall_south
+    WRITE ( 14 )  'cloud_droplets                '
+    WRITE ( 14 )  cloud_droplets
+    WRITE ( 14 )  'cloud_physics                 '
+    WRITE ( 14 )  cloud_physics
+    WRITE ( 14 )  'conserve_volume_flow          '
+    WRITE ( 14 )  conserve_volume_flow
+    WRITE ( 14 )  'current_timestep_number       '
+    WRITE ( 14 )  current_timestep_number
+    WRITE ( 14 )  'cut_spline_overshoot          '
+    WRITE ( 14 )  cut_spline_overshoot
+    WRITE ( 14 )  'damp_level_1d                 '
+    WRITE ( 14 )  damp_level_1d
+    WRITE ( 14 )  'dissipation_1d                '
+    WRITE ( 14 )  dissipation_1d
+    WRITE ( 14 )  'dt_fixed                      '
+    WRITE ( 14 )  dt_fixed
+    WRITE ( 14 )  'dt_pr_1d                      '
+    WRITE ( 14 )  dt_pr_1d
+    WRITE ( 14 )  'dt_run_control_1d             '
+    WRITE ( 14 )  dt_run_control_1d
+    WRITE ( 14 )  'dt_3d                         '
+    WRITE ( 14 )  dt_3d
+    WRITE ( 14 )  'dvrp_filecount                '
+    WRITE ( 14 )  dvrp_filecount
+    WRITE ( 14 )  'dx                            '
+    WRITE ( 14 )  dx
+    WRITE ( 14 )  'dy                            '
+    WRITE ( 14 )  dy
+    WRITE ( 14 )  'dz                            '
+    WRITE ( 14 )  dz
+    WRITE ( 14 )  'dz_max                        '
+    WRITE ( 14 )  dz_max
+    WRITE ( 14 )  'dz_stretch_factor             '
+    WRITE ( 14 )  dz_stretch_factor
+    WRITE ( 14 )  'dz_stretch_level              '
+    WRITE ( 14 )  dz_stretch_level
+    WRITE ( 14 )  'e_min                         '
+    WRITE ( 14 )  e_min
+    WRITE ( 14 )  'end_time_1d                   '
+    WRITE ( 14 )  end_time_1d
+    WRITE ( 14 )  'fft_method                    '
+    WRITE ( 14 )  fft_method
+    WRITE ( 14 )  'first_call_advec_particles    '
+    WRITE ( 14 )  first_call_advec_particles
+    WRITE ( 14 )  'galilei_transformation        '
+    WRITE ( 14 )  galilei_transformation
+    WRITE ( 14 )  'grid_matching                 '
+    WRITE ( 14 )  grid_matching
+    WRITE ( 14 )  'hom                           '
+    WRITE ( 14 )  hom
+    WRITE ( 14 )  'inflow_disturbance_begin      '
+    WRITE ( 14 )  inflow_disturbance_begin
+    WRITE ( 14 )  'inflow_disturbance_end        '
+    WRITE ( 14 )  inflow_disturbance_end
+    WRITE ( 14 )  'km_constant                   '
+    WRITE ( 14 )  km_constant
+    WRITE ( 14 )  'km_damp_max                   '
+    WRITE ( 14 )  km_damp_max
+    WRITE ( 14 )  'last_dt_change                '
+    WRITE ( 14 )  last_dt_change
+    WRITE ( 14 )  'long_filter_factor            '
+    WRITE ( 14 )  long_filter_factor
+    WRITE ( 14 )  'mixing_length_1d              '
+    WRITE ( 14 )  mixing_length_1d
+    WRITE ( 14 )  'moisture                      '
+    WRITE ( 14 )  moisture
+    WRITE ( 14 )  'momentum_advec                '
+    WRITE ( 14 )  momentum_advec
+    WRITE ( 14 )  'netcdf_precision              '
+    WRITE ( 14 )  netcdf_precision
+    WRITE ( 14 )  'npex                          '
+    WRITE ( 14 )  npex
+    WRITE ( 14 )  'npey                          '
+    WRITE ( 14 )  npey
+    WRITE ( 14 )  'nsor_ini                      '
+    WRITE ( 14 )  nsor_ini
+    WRITE ( 14 )  'nx                            '
+    WRITE ( 14 )  nx
+    WRITE ( 14 )  'ny                            '
+    WRITE ( 14 )  ny
+    WRITE ( 14 )  'old_dt                        '
+    WRITE ( 14 )  old_dt
+    WRITE ( 14 )  'omega                         '
+    WRITE ( 14 )  omega
+    WRITE ( 14 )  'outflow_damping_width         '
+    WRITE ( 14 )  outflow_damping_width
+    WRITE ( 14 )  'overshoot_limit_e             '
+    WRITE ( 14 )  overshoot_limit_e
+    WRITE ( 14 )  'overshoot_limit_pt            '
+    WRITE ( 14 )  overshoot_limit_pt
+    WRITE ( 14 )  'overshoot_limit_u             '
+    WRITE ( 14 )  overshoot_limit_u
+    WRITE ( 14 )  'overshoot_limit_v             '
+    WRITE ( 14 )  overshoot_limit_v
+    WRITE ( 14 )  'overshoot_limit_w             '
+    WRITE ( 14 )  overshoot_limit_w
+    WRITE ( 14 )  'passive_scalar                '
+    WRITE ( 14 )  passive_scalar
+    WRITE ( 14 )  'phi                           '
+    WRITE ( 14 )  phi
+    WRITE ( 14 )  'prandtl_layer                 '
+    WRITE ( 14 )  prandtl_layer
+    WRITE ( 14 )  'precipitation                 '
+    WRITE ( 14 )  precipitation
+    WRITE ( 14 )  'pt_init                       '
+    WRITE ( 14 )  pt_init
+    WRITE ( 14 )  'pt_surface                    '
+    WRITE ( 14 )  pt_surface
+    WRITE ( 14 )  'pt_surface_initial_change     '
+    WRITE ( 14 )  pt_surface_initial_change
+    WRITE ( 14 )  'pt_vertical_gradient          '
+    WRITE ( 14 )  pt_vertical_gradient
+    WRITE ( 14 )  'pt_vertical_gradient_level    '
+    WRITE ( 14 )  pt_vertical_gradient_level
+    WRITE ( 14 )  'pt_vertical_gradient_level_ind'
+    WRITE ( 14 )  pt_vertical_gradient_level_ind
+    WRITE ( 14 )  'q_init                        '
+    WRITE ( 14 )  q_init
+    WRITE ( 14 )  'q_surface                     '
+    WRITE ( 14 )  q_surface
+    WRITE ( 14 )  'q_surface_initial_change      '
+    WRITE ( 14 )  q_surface_initial_change
+    WRITE ( 14 )  'q_vertical_gradient           '
+    WRITE ( 14 )  q_vertical_gradient
+    WRITE ( 14 )  'q_vertical_gradient_level     '
+    WRITE ( 14 )  q_vertical_gradient_level
+    WRITE ( 14 )  'q_vertical_gradient_level_ind '
+    WRITE ( 14 )  q_vertical_gradient_level_ind
+    WRITE ( 14 )  'radiation                     '
+    WRITE ( 14 )  radiation
+    WRITE ( 14 )  'random_generator              '
+    WRITE ( 14 )  random_generator
+    WRITE ( 14 )  'random_heatflux               '
+    WRITE ( 14 )  random_heatflux
+    WRITE ( 14 )  'rif_max                       '
+    WRITE ( 14 )  rif_max
+    WRITE ( 14 )  'rif_min                       '
+    WRITE ( 14 )  rif_min
+    WRITE ( 14 )  'roughness_length              '
+    WRITE ( 14 )  roughness_length
+    WRITE ( 14 )  'runnr                         '
+    WRITE ( 14 )  runnr
+    WRITE ( 14 )  'scalar_advec                  '
+    WRITE ( 14 )  scalar_advec
+    WRITE ( 14 )  'simulated_time                '
+    WRITE ( 14 )  simulated_time
+    WRITE ( 14 )  'surface_heatflux              '
+    WRITE ( 14 )  surface_heatflux
+    WRITE ( 14 )  'surface_pressure              '
+    WRITE ( 14 )  surface_pressure
+    WRITE ( 14 )  'surface_scalarflux            '
+    WRITE ( 14 )  surface_scalarflux    
+    WRITE ( 14 )  'surface_waterflux             '
+    WRITE ( 14 )  surface_waterflux    
+    WRITE ( 14 )  's_surface                     '
+    WRITE ( 14 )  s_surface
+    WRITE ( 14 )  's_surface_initial_change      '
+    WRITE ( 14 )  s_surface_initial_change
+    WRITE ( 14 )  's_vertical_gradient           '
+    WRITE ( 14 )  s_vertical_gradient
+    WRITE ( 14 )  's_vertical_gradient_level     '
+    WRITE ( 14 )  s_vertical_gradient_level
+    WRITE ( 14 )  'time_disturb                  '
+    WRITE ( 14 )  time_disturb
+    WRITE ( 14 )  'time_dopr                     '
+    WRITE ( 14 )  time_dopr
+    WRITE ( 14 )  'time_dopr_av                  '
+    WRITE ( 14 )  time_dopr_av
+    WRITE ( 14 )  'time_dopr_listing             '
+    WRITE ( 14 )  time_dopr_listing
+    WRITE ( 14 )  'time_dopts                    '
+    WRITE ( 14 )  time_dopts
+    WRITE ( 14 )  'time_dosp                     '
+    WRITE ( 14 )  time_dosp
+    WRITE ( 14 )  'time_dots                     '
+    WRITE ( 14 )  time_dots
+    WRITE ( 14 )  'time_do2d_xy                  '
+    WRITE ( 14 )  time_do2d_xy
+    WRITE ( 14 )  'time_do2d_xz                  '
+    WRITE ( 14 )  time_do2d_xz
+    WRITE ( 14 )  'time_do2d_yz                  '
+    WRITE ( 14 )  time_do2d_yz
+    WRITE ( 14 )  'time_do3d                     '
+    WRITE ( 14 )  time_do3d
+    WRITE ( 14 )  'time_do_av                    '
+    WRITE ( 14 )  time_do_av
+    WRITE ( 14 )  'time_do_sla                   '
+    WRITE ( 14 )  time_do_sla
+    WRITE ( 14 )  'time_dvrp                     '
+    WRITE ( 14 )  time_dvrp
+    WRITE ( 14 )  'time_restart                  '
+    WRITE ( 14 )  time_restart
+    WRITE ( 14 )  'time_run_control              '
+    WRITE ( 14 )  time_run_control
+    WRITE ( 14 )  'timestep_scheme               '
+    WRITE ( 14 )  timestep_scheme
+    WRITE ( 14 )  'topography                    '
+    WRITE ( 14 )  topography
+    WRITE ( 14 )  'tsc                           '
+    WRITE ( 14 )  tsc
+    WRITE ( 14 )  'u_init                        '
+    WRITE ( 14 )  u_init
+    WRITE ( 14 )  'u_max                         '
+    WRITE ( 14 )  u_max
+    WRITE ( 14 )  'u_max_ijk                     '
+    WRITE ( 14 )  u_max_ijk
+    WRITE ( 14 )  'ug                            '
+    WRITE ( 14 )  ug
+    WRITE ( 14 )  'ug_surface                    '
+    WRITE ( 14 )  ug_surface
+    WRITE ( 14 )  'ug_vertical_gradient          '
+    WRITE ( 14 )  ug_vertical_gradient
+    WRITE ( 14 )  'ug_vertical_gradient_level    '
+    WRITE ( 14 )  ug_vertical_gradient_level
+    WRITE ( 14 )  'ug_vertical_gradient_level_ind'
+    WRITE ( 14 )  ug_vertical_gradient_level_ind
+    WRITE ( 14 )  'ups_limit_e                   '
+    WRITE ( 14 )  ups_limit_e
+    WRITE ( 14 )  'ups_limit_pt                  '
+    WRITE ( 14 )  ups_limit_pt
+    WRITE ( 14 )  'ups_limit_u                   '
+    WRITE ( 14 )  ups_limit_u
+    WRITE ( 14 )  'ups_limit_v                   '
+    WRITE ( 14 )  ups_limit_v
+    WRITE ( 14 )  'ups_limit_w                   '
+    WRITE ( 14 )  ups_limit_w
+    WRITE ( 14 )  'use_surface_fluxes            '
+    WRITE ( 14 )  use_surface_fluxes
+    WRITE ( 14 )  'use_ug_for_galilei_tr         '
+    WRITE ( 14 )  use_ug_for_galilei_tr
+    WRITE ( 14 )  'use_upstream_for_tke          '
+    WRITE ( 14 )  use_upstream_for_tke
+    WRITE ( 14 )  'v_init                        '
+    WRITE ( 14 )  v_init
+    WRITE ( 14 )  'v_max                         '
+    WRITE ( 14 )  v_max
+    WRITE ( 14 )  'v_max_ijk                     '
+    WRITE ( 14 )  v_max_ijk
+    WRITE ( 14 )  'vg                            '
+    WRITE ( 14 )  vg
+    WRITE ( 14 )  'vg_surface                    '
+    WRITE ( 14 )  vg_surface
+    WRITE ( 14 )  'vg_vertical_gradient          '
+    WRITE ( 14 )  vg_vertical_gradient
+    WRITE ( 14 )  'vg_vertical_gradient_level    '
+    WRITE ( 14 )  vg_vertical_gradient_level
+    WRITE ( 14 )  'vg_vertical_gradient_level_ind'
+    WRITE ( 14 )  vg_vertical_gradient_level_ind
+    WRITE ( 14 )  'wall_adjustment               '
+    WRITE ( 14 )  wall_adjustment
+    WRITE ( 14 )  'w_max                         '
+    WRITE ( 14 )  w_max
+    WRITE ( 14 )  'w_max_ijk                     '
+    WRITE ( 14 )  w_max_ijk
+    WRITE ( 14 )  'time-series-quantities        '
+    WRITE ( 14 )  cross_ts_uymax, cross_ts_uymax_computed, cross_ts_uymin, &
+                  cross_ts_uymin_computed
+
+!
+!-- Set the end-of-file mark
+    WRITE ( 14 )  '*** end ***                   '
+
+
+ END SUBROUTINE write_var_list
